### Struct

# Gck MechanismInfo

since: 2

#### Description [src]

    struct GckMechanismInfo {
      gulong min_key_size;
      gulong max_key_size;
      gulong flags;
    }

Represents information about a PKCS11 mechanism.

This is analogous to a CK_MECHANISM_INFO structure.

When you’re done with this structure it should be released with gck_mechanism_info_free().

###### Structure members

`min_key_size`

  The minimum key size that can be used with this mechanism.

`max_key_size`

  The maximum key size that can be used with this mechanism.

`flags`

  Various PKCS11 flags that apply to this mechanism.

Available since: 2

#### Instance methods

###### gck_mechanism_info_copy

Make a copy of the mechanism info.

since: 2

###### gck_mechanism_info_free

Free the GckMechanismInfo and associated resources.

since: 2